// 页面 schema
const config = {
  pageConfig: {
    pageName: '',
    router: '',
    header: {
      desc: '',
      button: [
        {
          text: '返回',
          type: '',
          loading: false,
          disabled: false,
          clickEvent: '',
          backPath: ''
        },
        {
          text: '报事',
          type: '',
          loading: false,
          disabled: false,
          clickEvent: ''
        },
        {
          text: '',
          type: '',
          loading: false,
          disabled: false,
          clickEvent: ''
        }
      ]
    },
  },
  queryForm: {
    fields: [
      {
        __config__: {
          label: '单行输入',
          labelWidth: null,
          showLabel: true,
          changeTag: true,
          tag: 'el-input',
          tagIcon: 'input',
          required: true,
          layout: 'colFormItem',
          span: 24,
          document: 'https://element.eleme.cn/#/zh-CN/component/input',
          regList: [],
          formId: 362,
          renderKey: 1619055104509
        },
        __slot__: {
          prepend: '',
          append: ''
        },
        placeholder: '请输入单行输入',
        style: {
          width: '100%'
        },
        clearable: true,
        'prefix-icon': '',
        'suffix-icon': '',
        maxlength: 64,
        'show-word-limit': false,
        readonly: false,
        disabled: false,
        __vModel__: 'inputField362'
      },
      {
        __config__: {
          label: '金额',
          showLabel: true,
          changeTag: true,
          labelWidth: null,
          tag: 'el-input-number',
          tagIcon: 'money',
          span: 24,
          layout: 'colFormItem',
          required: true,
          regList: [],
          document: 'https://element.eleme.cn/#/zh-CN/component/input-number',
          formId: 361,
          renderKey: 1619055101287
        },
        isConditionValue: true,
        placeholder: '请输入金额，不超过2位小数金额',
        step: 1,
        'step-strictly': false,
        precision: 2,
        'controls-position': 'right',
        disabled: false,
        __vModel__: 'moneyField361'
      }
    ],
    formRef: 'elForm',
    formModel: 'formData',
    size: 'medium',
    labelPosition: 'right',
    labelWidth: 110,
    formRules: 'rules',
    gutter: 15,
    disabled: false,
    span: 24,
    formBtns: false
  },
  table: {
    column: {
      label: '',
      prop: '',
      fixed: '',
      minWidth: '',
      showOverflowTooltip: false
    }
  }
}
