/*
 * @Author: WangJiaCheng
 * @Date: 2021-05-10 16:31:41
 * @LastEditors: WangJiaCheng
 * @LastEditTime: 2021-05-10 16:38:49
 * @Description:
 */
import DefaultLayout from '@/layouts/DefaultLayout/index.vue'

const form = [
  {
    path: '/form',
    component: DefaultLayout,
    redirect: '/design',
    meta: {
      title: '表单管理'
    },
    children: [
      {
        path: 'design',
        name: 'formDesign',
        meta: {
          title: '表单设计'
        },
        component: () => import('@/views/Form/FormDesign/Home.vue')
      },
      {
        path: 'model',
        name: 'formModel',
        meta: {
          title: '表单模型'
        },
        component: () => import('@/views/Form/FormModel/index.vue')
      },
      {
        path: '/parser',
        name: 'parser',
        meta: {
          title: '表单解析'
        },
        component: () => import(/* webpackChunkName: "parser-example" */'@/components/parser/example/Index.vue')
      }
    ]
  }
]

export default form
