/*
 * @Author: WangJiaCheng
 * @Date: 2021-05-10 16:30:59
 * @LastEditors: WangJiaCheng
 * @LastEditTime: 2021-05-10 16:38:07
 * @Description:
 */
import DefaultLayout from '@/layouts/DefaultLayout/index.vue'

const list = [
  {
    path: '/list',
    component: DefaultLayout,
    redirect: '/design',
    meta: {
      title: '列表管理'
    },
    children: [
      {
        path: 'design',
        name: 'listDesign',
        meta: {
          title: '列表设计'
        },
        component: () => import('@/views/List/ListDesign/index.vue')
      },
      {
        path: 'model',
        name: 'listModel',
        meta: {
          title: '列表模型'
        },
        component: () => import('@/views/List/ListModel/index.vue')
      }
    ]
  }
]

export default list
