/*
 * @Author: WangJiaCheng
 * @Date: 2021-05-10 16:30:19
 * @LastEditors: WangJiaCheng
 * @LastEditTime: 2021-05-10 16:37:37
 * @Description:
 */
import DefaultLayout from '@/layouts/DefaultLayout/index.vue'

const template = [
  {
    path: '/template',
    component: DefaultLayout,
    redirect: '/list',
    meta: {
      title: '模板管理'
    },
    children: [
      {
        path: 'list',
        name: 'templateList',
        meta: {
          title: '模板列表'
        },
        component: () => import('@/views/Template/List/index.vue')
      }
    ]
  }
]

export default template
